﻿/* Samtykkedialog og Innstillinger for samtykke dialog */
.ddEmarketingDialog{
    float: left;
    padding: 30px;
}

.ddEmarketingDialog .ddExplanation{
    float:left;
    margin:10px 0;
    width:95%;
}

.ddEmarketingDialog .ddButtonContainer{
    float:left;
    margin:20px 0;
}

.ddEmarketingDialog .ddButtonContainer button{
    float:left;
    margin:10px 15px 0 0;
}

.ddEmarketingDialog .ddButtonContainer button.accept{
    background-color:#0e3a2e;
    color:#fff;
    min-width:100px;
}


/*********************************/
/* Samtykkeadministrasjon dialog */

.ddEmarketingSettingsDialog{
    display:flex;
    flex-direction:column;
    padding: 20px 30px;
}

.ddEmarketingSettingsDialog .settingsPolicy a{
    font-weight:normal;
}

.ddEmarketingSettingsDialog .ddExplanation {
    width: 100%;
    margin:10px 0;
}

.ddEmarketingSettingsDialog .samtykke{
    margin-top:20px;
}

.ddEmarketingSettingsDialog ul {
    padding: 0; 
    list-style-type: none;
    display:flex;
    flex-direction:column;
}

.ddEmarketingSettingsDialog li.container{
    border:1px solid #dbdbdb;
    margin-bottom: 10px;
}

.ddEmarketingSettingsDialog li.content{
    border:none;
    padding:10px 20px 25px 20px;
}

.ddEmarketingSettingsDialog li.container .headerContent.necessary {
    margin: 13px 15px;
}

.ddEmarketingSettingsDialog li.container .headerContent{
    display:flex;
    justify-content:space-between;
    align-items:center;
    margin:8px 15px;
}

.ddEmarketingSettingsDialog .headerContent .action{
    display: flex;
    align-items:center;
}

.ddEmarketingSettingsDialog .text {
    font-weight:bold;
}

.ddEmarketingSettingsDialog .headerContent .hake {
    background-image: url('../img/Hake_graa.svg'); 
    background-repeat: no-repeat; 
    width: 15px; 
    height: 15px; 
    margin: 5px 0 0 15px;
}

.ddEmarketingSettingsDialog .ddButtonContainer{
    display:flex;
    margin:20px 0 5px 0;
}

.ddEmarketingSettingsDialog .ddButtonContainer.save{
    justify-content:flex-end;
}

.ddEmarketingSettingsDialog .ddButtonContainer button.accept{
    background-color:#0e3a2e;
    color:#fff;
}

/* Motta informasjon */
.ddEmarketingSettingsDialog .policyChoices .k-treeview-item.k-first{
    padding-left:0;
}

.ddEmarketingSettingsDialog .policyChoices .k-checkbox-wrapper{
    margin-top:-4px;
}